org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexOperationCancellationToken

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaIndexOperationCancellationToken

    public class SchemaIndexOperationCancellationToken
    extends Object

Index operation cancellation token.

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexOperationCancellationToken()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `cancel()` Do cancel.
`boolean` `isCancelled()` Get cancel state.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SchemaIndexOperationCancellationToken

    public SchemaIndexOperationCancellationToken()

### Method Detail

#### isCancelled

    public boolean isCancelled()

Get cancel state.

Returns:
  `True` if cancelled.

#### cancel

    public boolean cancel()

Do cancel.

Returns:
  `True` if cancel flag was set by this call.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018